package featureide_ui.editors.grammar.actions;

import org.eclipse.gef.ui.parts.GraphicalViewerImpl;

import featureide_core.model.FeatureModel;

public class OrAction extends SingleSelectionAction {

	public static String ID = "featureide.or";

	private final FeatureModel featureModel;

	public OrAction(GraphicalViewerImpl viewer, FeatureModel featureModel) {
		super("OR", viewer);
		this.featureModel = featureModel;
	}

	@Override
	public void run() {
		feature.changeToOr();
		featureModel.handleModelDataChanged();
	}

	@Override
	protected void updateProperties() {
		boolean or = feature.isOr();
//		setEnabled(connectionSelected && !feature.isRoot() && !or);
		setEnabled(connectionSelected && !or);
		setChecked(connectionSelected && or);
	}

}
