package featureide_ui.editors.grammar.commands.renaming;

import org.eclipse.gef.GraphicalEditPart;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.gef.tools.DirectEditManager;

import featureide_ui.editors.grammar.GUIDefaults;
import featureide_ui.editors.grammar.editparts.FeatureEditPart;

public class FeatureLabelEditManager extends DirectEditManager implements GUIDefaults {
	
	@SuppressWarnings("unchecked")
	public FeatureLabelEditManager(GraphicalEditPart source, Class editorType, 
			CellEditorLocator locator) {
		super(source, editorType, locator);
	}

	@Override
	protected void initCellEditor() {
		getCellEditor().getControl().setFont(DEFAULT_FONT);
		getCellEditor().setValue(((FeatureEditPart) getEditPart()).getFeatureModel().getName());
	}

}
