package featureide_ui.editors.grammar;

import org.eclipse.swt.graphics.Color;

/**
 * Implements some basic graphical methods.
 * 
 * @author Thomas Thm
 *
 */
public class GUIBasics {

	public static Color createColor(double r, double g, double b) {
		return new Color(null, (int) (r*255), (int) (g*255), (int) (b*255));
	}

	public static Color createBorderColor(Color color) {
		int r = (int) (color.getRed()*0.75);
		int g = (int) (color.getGreen()*0.75);
		int b = (int) (color.getBlue()*0.75);
		return new Color(null, r, g, b);
	}
	
}
