package featureide_ui.editors.grammar.layouts;

import featureide_core.model.FeatureModel;
import featureide_ui.editors.grammar.GUIDefaults;

/**
 * Calculates locations for all features in the feature diagram.
 * 
 * @author Thomas Thm
 *
 */
abstract public class FeatureLayoutManager implements GUIDefaults {
	
	abstract public void layout(FeatureModel featureModel);

	abstract public void setControlSize(int width, int height);

}
